﻿// cc-by 3.0 Austria, (c) 2011 Markus Loeberbauer
// http://ssw.jku.at/Teaching/Lectures/SpezialLVA/JavaFX/

import java.io.File;
import java.net.MalformedURLException;
import java.util.logging.Level;
import java.util.logging.Logger;

import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.SceneBuilder;
import javafx.scene.control.ButtonBuilder;
import javafx.scene.layout.VBoxBuilder;
import javafx.scene.media.Media;
import javafx.scene.media.MediaPlayer;
import javafx.stage.Stage;

public class PlayMusic extends Application {
	public static void main(String[] args) {
		Application.launch(args);
	}

	private EventHandler<ActionEvent> playMusicHandler = new EventHandler<ActionEvent>() {
		@Override
		public void handle(ActionEvent event) {
			if (musicPlayer != null) {
				musicPlayer.seek(musicPlayer.getStartTime());
				musicPlayer.play();
			}
		}
	};
	private MediaPlayer musicPlayer;

	public PlayMusic() {
		final String currentDir = System.getProperty("user.dir");
		final File soundFile = new File(currentDir, "32157___zin___distriff_2.mp3");
		try {
			final Media sound = new Media(soundFile.toURI().toURL().toString());
			musicPlayer = new MediaPlayer(sound);
		} catch (MalformedURLException e) {
			Logger.getLogger(PlayMusic.class.getName()).log(Level.SEVERE,
					"Error loading sound file.", e);
		}
	}

	@Override
	public void start(Stage primaryStage) throws Exception {
		primaryStage.setTitle("Play Music");

		Scene scene = SceneBuilder
				.create()
				.width(200)
				.height(200)
				.root(VBoxBuilder.create()
					.alignment(Pos.CENTER)
					.children(
						ButtonBuilder.create()
						.text("Play")
						.onAction(playMusicHandler).build()
					)
					.build()
				)
				.build();

		primaryStage.setScene(scene);
		primaryStage.show();
	}

}
